%define upstream_name    Language-Befunge-Vector-XS
%define upstream_version 1.1.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 27

Summary:	Language::Befunge::Vector rewritten for speed
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Language/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Test::More)
BuildRequires:	perl-devel

%description
The Language::Befunge module makes heavy use of n-dims vectors,
mapped to the Language::Befunge::Vector class. This allows to
abstract the funge dimension while still keeping the same code for the
operations.

However, such an heavy usage does have some impact on the performances.
Therefore, this modules is basically a rewrite of LBV in XS. If
installed, then LBV will automagically load it and replace its own
functions with the XS ones.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc LICENSE Changes META.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.1.1-27.mga10
+ Revision: 2225736
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 1.1.1-26.mga10
+ Revision: 2087777
- Rebuild against new perl

* Sun Nov 26 2023 tv <tv> 1.1.1-25.mga10
+ Revision: 2009917
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.1.1-24.mga9
+ Revision: 1862054
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.1.1-23.mga9
+ Revision: 1795848
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.1.1-22.mga9
+ Revision: 1726754
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.1.1-21.mga8
+ Revision: 1594832
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.1.1-20.mga8
+ Revision: 1529607
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.1.1-19.mga8
+ Revision: 1433723
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.1.1-18.mga7
+ Revision: 1293313
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.1.1-17.mga7
+ Revision: 1249504
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.1.1-16.mga7
+ Revision: 1165077
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.1.1-15.mga7
+ Revision: 1149005
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.1.1-14.mga7
+ Revision: 1126776
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.1.1-13.mga6
+ Revision: 1029101
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.1.1-12.mga6
+ Revision: 957594
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.1.1-11.mga6
+ Revision: 842764
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-10.mga5
+ Revision: 739533
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-9.mga5
+ Revision: 685195
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.1.1-8.mga5
+ Revision: 631354
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.1.1-7.mga4
+ Revision: 524394
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.1.1-6.mga4
+ Revision: 430769
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-5.mga3
+ Revision: 368964
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.1.1-4.mga3
+ Revision: 250839
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.1.1-3.mga2
+ Revision: 104728
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.1.1-2.mga1
+ Revision: 30645
- mageia rebuild
- imported package perl-Language-Befunge-Vector-XS

